org.apache.solr.common.params

## Enum CollectionParams.LockLevel

- java.lang.Object
- - java.lang.Enum<CollectionParams.LockLevel>
  - - org.apache.solr.common.params.CollectionParams.LockLevel

- All Implemented Interfaces:
    Serializable, Comparable<CollectionParams.LockLevel>
  Enclosing interface:
    CollectionParams

      public static enum CollectionParams.LockLevel
      extends Enum<CollectionParams.LockLevel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLUSTER`
    `COLLECTION`
    `NONE`
    `REPLICA`
    `SHARD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `level`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CollectionParams.LockLevel` | `getChild()`
    `static CollectionParams.LockLevel` | `getLevel(int i)`
    `boolean` | `isHigherOrEqual(CollectionParams.LockLevel that)`
    `static CollectionParams.LockLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CollectionParams.LockLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLUSTER

          public static final CollectionParams.LockLevel CLUSTER

    - #### COLLECTION

          public static final CollectionParams.LockLevel COLLECTION

    - #### SHARD

          public static final CollectionParams.LockLevel SHARD

    - #### REPLICA

          public static final CollectionParams.LockLevel REPLICA

    - #### NONE

          public static final CollectionParams.LockLevel NONE

  - ### Field Detail

    - #### level

          public final int level

  - ### Method Detail

    - #### values

          public static CollectionParams.LockLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CollectionParams.LockLevel c : CollectionParams.LockLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CollectionParams.LockLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getChild

          public CollectionParams.LockLevel getChild()

    - #### getLevel

          public static CollectionParams.LockLevel getLevel(int i)

    - #### isHigherOrEqual

          public boolean isHigherOrEqual(CollectionParams.LockLevel that)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.